ImagickPixel::isSimilar
ImagickPixel::setColorValue
The ImagickPixel class
PHP Manual

# ImagickPixel::setColor

(No version information available, might be only in CVS)

ImagickPixel::setColor — Sets the color

### Description

bool ImagickPixel::setColor ( string `$color` )
Warning

This function is currently not documented; only its argument list is available.

Sets the color described by the ImagickPixel object, with a string (e.g. "blue", "#0000ff", "rgb(0,0,255)", "cmyk(100,100,100,10)", etc.).

### Parameters

`color`

  The color definition to use in order to initialise the ImagickPixel object.

### Return Values

Returns `TRUE` if the specified color was set, `FALSE` otherwise.

ImagickPixel::isSimilar
ImagickPixel::setColorValue
The ImagickPixel class
PHP Manual